> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Appointments Breakdown

> Get detailed appointment breakdown with filtering.

Returns comprehensive appointment data with detailed filtering capabilities.



## OpenAPI

````yaml get /analytics/dashboards/appointments-breakdown/appointments-breakdown
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards/appointments-breakdown/appointments-breakdown:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: Get Appointments Breakdown
      description: >-
        Get detailed appointment breakdown with filtering.


        Returns comprehensive appointment data with detailed filtering
        capabilities.
      operationId: >-
        get_appointments_breakdown_analytics_dashboards_appointments_breakdown_appointments_breakdown_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: group_by
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - service
                  - status
                  - provider
                  - scheduling_type
                  - location
                  - start_date
                  - week
                  - month
                type: string
              - type: 'null'
            title: Group By
        - name: group_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Group Key
        - name: timezone
          in: query
          required: true
          schema:
            type: string
            description: Timezone for date grouping (e.g., 'America/New_York', 'UTC')
            title: Timezone
          description: Timezone for date grouping (e.g., 'America/New_York', 'UTC')
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            default: start_date
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Sort Direction
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: End Date
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Ids
        - name: location_names
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Names
        - name: provider_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Provider Ids
        - name: patient_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Patient Ids
        - name: service_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Service Ids
        - name: service_names
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Service Names
        - name: statuses
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Statuses
        - name: scheduling_types
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Scheduling Types
        - name: service
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Service
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Provider
        - name: scheduling_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Scheduling Type
        - name: location
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location
        - name: startDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Startdate
        - name: week
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Week
        - name: month
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Month
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_AppointmentBreakdownItem_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_AppointmentBreakdownItem_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AppointmentBreakdownItem'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[AppointmentBreakdownItem]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AppointmentBreakdownItem:
      properties:
        appointmentId:
          type: string
          title: Appointmentid
          description: Appointment/Event ID
        startDate:
          type: string
          format: date-time
          title: Startdate
          description: Appointment start date/time
        endDate:
          type: string
          format: date-time
          title: Enddate
          description: Appointment end date/time
        status:
          type: string
          title: Status
          description: Appointment status
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
          description: Location name
        patient:
          $ref: '#/components/schemas/PatientTiny'
          description: Patient information
        provider:
          anyOf:
            - $ref: >-
                #/components/schemas/decoda__schemas__analytics__appointments_breakdown__ProviderInfo
            - type: 'null'
          description: Provider information
        serviceName:
          anyOf:
            - type: string
            - type: 'null'
          title: Servicename
          description: Primary service name
        schedulingType:
          type: string
          title: Schedulingtype
          description: Scheduling type (ONLINE_BOOKING or STAFF_SCHEDULED)
      type: object
      required:
        - appointmentId
        - startDate
        - endDate
        - status
        - patient
        - schedulingType
      title: AppointmentBreakdownItem
      description: Individual appointment breakdown item.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PatientTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
          default: PATIENT
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
        dateOfBirth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Dateofbirth
          description: The date of birth of the patient.
        onSchedulingBlacklist:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Onschedulingblacklist
          description: Whether the patient is on the scheduling blacklist.
      type: object
      required:
        - id
      title: PatientTiny
    decoda__schemas__analytics__appointments_breakdown__ProviderInfo:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          type: string
          title: Lastname
      type: object
      required:
        - id
        - firstName
        - lastName
      title: ProviderInfo
      description: Provider information for appointment breakdown.
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType

````